# Create or update underwriting details

`POST /accounts/{accountID}/underwriting`

API version: `v2026.07.00`. Send `X-Moov-Version: v2026.07.00` to get the behavior described here.

> AI agents: search and read all Moov docs with the docs MCP server at https://docs.moov.io/mcp (no API key). Setup: https://docs.moov.io/guides/developer-tools/mcp-ai/docs-mcp/index.md

Create or update the account's underwriting.

Read our [underwriting guide](https://docs.moov.io/guides/accounts/requirements/underwriting/) to learn more.

To access this endpoint using an [access token](https://docs.moov.io/api/authentication/access-tokens/) 
you'll need to specify the `/accounts/{accountID}/profile.write` scope.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `X-Moov-Version` | header | string |  | Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, the earliest supported version, which may not match the behavior documented here. An unrecognized well-formed version uses the latest supported version that is not newer than the requested version, when one exists. For example, `v2026.08.00` uses `v2026.07.00`. A malformed value, such as `2022`, returns a `404` response. Values: `v2026.07.00`. |
| `accountID` | path | string | Yes |  |

## Request body

Content type: `application/json`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `geographicReach` | string |  | Values: `international-only`, `us-and-international`, `us-only`. |
| `businessPresence` | string |  | Values: `commercial-office`, `home-based`, `mixed-presence`, `mobile-business`, `online-only`, `retail-storefront`. |
| `pendingLitigation` | string |  | Values: `bankruptcy-or-insolvency`, `consumer-protection-or-class-action`, `data-breach-or-privacy`, `employment-or-workplace-disputes`, `fraud-or-financial-crime`, `government-enforcement-or-investigation`, `intellectual-property`, `none`, `other`, `personal-injury-or-medical`. |
| `volumeShareByCustomerType` | object |  |  |
| `volumeShareByCustomerType.business` | integer (int32) |  |  |
| `volumeShareByCustomerType.consumer` | integer (int32) |  |  |
| `volumeShareByCustomerType.p2p` | integer (int32) |  |  |
| `collectFunds` | object |  |  |
| `collectFunds.ach` | object |  |  |
| `collectFunds.ach.estimatedActivity` | object |  |  |
| `collectFunds.ach.estimatedActivity.averageTransactionAmount` | integer (int64) |  |  |
| `collectFunds.ach.estimatedActivity.maximumTransactionAmount` | integer (int64) |  |  |
| `collectFunds.ach.estimatedActivity.monthlyVolumeRange` | string |  | The low value in each range is included. The high value in each range is excluded. Values: `under-10k`, `10k-50k`, `50k-100k`, `100k-250k`, `250k-500k`, `500k-1m`, `1m-5m`, `over-5m`. |
| `collectFunds.cardPayments` | object |  |  |
| `collectFunds.cardPayments.cardAcceptanceMethods` | object |  | Describes the distribution of card transactions by payment method. |
| `collectFunds.cardPayments.cardAcceptanceMethods.inPersonPercentage` | integer (int32) |  | Percentage of card transactions that are in-person payments. Minimum value is 0, maximum is 100. |
| `collectFunds.cardPayments.cardAcceptanceMethods.mailOrPhonePercentage` | integer (int32) |  | Percentage of card transactions that are mail or phone payments. Minimum value is 0, maximum is 100. |
| `collectFunds.cardPayments.cardAcceptanceMethods.onlinePercentage` | integer (int32) |  | Percentage of card transactions that are online payments. Minimum value is 0, maximum is 100. |
| `collectFunds.cardPayments.currentlyAcceptsCards` | boolean |  |  |
| `collectFunds.cardPayments.estimatedActivity` | object |  |  |
| `collectFunds.cardPayments.estimatedActivity.averageTransactionAmount` | integer (int64) |  |  |
| `collectFunds.cardPayments.estimatedActivity.maximumTransactionAmount` | integer (int64) |  |  |
| `collectFunds.cardPayments.estimatedActivity.monthlyVolumeRange` | string |  | The low value in each range is included. The high value in each range is excluded. Values: `under-10k`, `10k-50k`, `50k-100k`, `100k-250k`, `250k-500k`, `500k-1m`, `1m-5m`, `over-5m`. |
| `collectFunds.cardPayments.fulfillment` | object |  |  |
| `collectFunds.cardPayments.fulfillment.method` | string |  | Values: `bill-or-debt-payment`, `digital-content`, `donation`, `in-person-service`, `local-pickup-or-delivery`, `other`, `remote-service`, `shipped-physical-goods`, `subscription-or-membership`. |
| `collectFunds.cardPayments.fulfillment.timeframe` | string |  | Values: `immediate`, `other`, `over-30-days`, `pre-order`, `recurring-schedule`, `scheduled-event`, `within-30-days`, `within-7-days`. |
| `collectFunds.cardPayments.refundPolicy` | string |  | Values: `conditional-refund`, `custom-policy`, `event-based-policy`, `full-refund-extended-window`, `full-refund-within-30-days`, `no-refunds`, `partial-refund`, `prorated-refund`, `store-credit-only`. |
| `moneyTransfer` | object |  |  |
| `moneyTransfer.pullFromCard` | object |  |  |
| `moneyTransfer.pullFromCard.estimatedActivity` | object |  |  |
| `moneyTransfer.pullFromCard.estimatedActivity.averageTransactionAmount` | integer (int64) |  |  |
| `moneyTransfer.pullFromCard.estimatedActivity.maximumTransactionAmount` | integer (int64) |  |  |
| `moneyTransfer.pullFromCard.estimatedActivity.monthlyVolumeRange` | string |  | The low value in each range is included. The high value in each range is excluded. Values: `under-10k`, `10k-50k`, `50k-100k`, `100k-250k`, `250k-500k`, `500k-1m`, `1m-5m`, `over-5m`. |
| `moneyTransfer.pushToCard` | object |  |  |
| `moneyTransfer.pushToCard.estimatedActivity` | object |  |  |
| `moneyTransfer.pushToCard.estimatedActivity.averageTransactionAmount` | integer (int64) |  |  |
| `moneyTransfer.pushToCard.estimatedActivity.maximumTransactionAmount` | integer (int64) |  |  |
| `moneyTransfer.pushToCard.estimatedActivity.monthlyVolumeRange` | string |  | The low value in each range is included. The high value in each range is excluded. Values: `under-10k`, `10k-50k`, `50k-100k`, `100k-250k`, `250k-500k`, `500k-1m`, `1m-5m`, `over-5m`. |
| `sendFunds` | object |  |  |
| `sendFunds.ach` | object |  |  |
| `sendFunds.ach.estimatedActivity` | object |  |  |
| `sendFunds.ach.estimatedActivity.averageTransactionAmount` | integer (int64) |  |  |
| `sendFunds.ach.estimatedActivity.maximumTransactionAmount` | integer (int64) |  |  |
| `sendFunds.ach.estimatedActivity.monthlyVolumeRange` | string |  | The low value in each range is included. The high value in each range is excluded. Values: `under-10k`, `10k-50k`, `50k-100k`, `100k-250k`, `250k-500k`, `500k-1m`, `1m-5m`, `over-5m`. |
| `sendFunds.pushToCard` | object |  |  |
| `sendFunds.pushToCard.estimatedActivity` | object |  |  |
| `sendFunds.pushToCard.estimatedActivity.averageTransactionAmount` | integer (int64) |  |  |
| `sendFunds.pushToCard.estimatedActivity.maximumTransactionAmount` | integer (int64) |  |  |
| `sendFunds.pushToCard.estimatedActivity.monthlyVolumeRange` | string |  | The low value in each range is included. The high value in each range is excluded. Values: `under-10k`, `10k-50k`, `50k-100k`, `100k-250k`, `250k-500k`, `500k-1m`, `1m-5m`, `over-5m`. |
| `sendFunds.rtp` | object |  |  |
| `sendFunds.rtp.estimatedActivity` | object |  |  |
| `sendFunds.rtp.estimatedActivity.averageTransactionAmount` | integer (int64) |  |  |
| `sendFunds.rtp.estimatedActivity.maximumTransactionAmount` | integer (int64) |  |  |
| `sendFunds.rtp.estimatedActivity.monthlyVolumeRange` | string |  | The low value in each range is included. The high value in each range is excluded. Values: `under-10k`, `10k-50k`, `50k-100k`, `100k-250k`, `250k-500k`, `500k-1m`, `1m-5m`, `over-5m`. |
| `sendFunds.instantBank` | object |  |  |
| `sendFunds.instantBank.estimatedActivity` | object |  |  |
| `sendFunds.instantBank.estimatedActivity.averageTransactionAmount` | integer (int64) |  |  |
| `sendFunds.instantBank.estimatedActivity.maximumTransactionAmount` | integer (int64) |  |  |
| `sendFunds.instantBank.estimatedActivity.monthlyVolumeRange` | string |  | The low value in each range is included. The high value in each range is excluded. Values: `under-10k`, `10k-50k`, `50k-100k`, `100k-250k`, `250k-500k`, `500k-1m`, `1m-5m`, `over-5m`. |
| `sendFunds.wire` | object |  |  |
| `sendFunds.wire.estimatedActivity` | object |  |  |
| `sendFunds.wire.estimatedActivity.averageTransactionAmount` | integer (int64) |  |  |
| `sendFunds.wire.estimatedActivity.maximumTransactionAmount` | integer (int64) |  |  |
| `sendFunds.wire.estimatedActivity.monthlyVolumeRange` | string |  | The low value in each range is included. The high value in each range is excluded. Values: `under-10k`, `10k-50k`, `50k-100k`, `100k-250k`, `250k-500k`, `500k-1m`, `1m-5m`, `over-5m`. |
| `submissionIntent` | string |  | For most use cases, you can omit `submissionIntent`. Set it to `wait` to pause the account's underwriting approval process until you send a subsequent request with `submissionIntent` set to `submit`. Values: `wait`, `submit`. |

## Response 200

The request completed successfully.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `averageTransactionSize` | integer (int64) |  |  |
| `maxTransactionSize` | integer (int64) |  |  |
| `averageMonthlyTransactionVolume` | integer (int64) |  |  |
| `status` | string |  | Values: `approved`, `rejected`, `pendingReview`, `pending`, `notRequested`. |
| `volumeByCustomerType` | object |  |  |
| `volumeByCustomerType.businessToBusinessPercentage` | integer (int32) | Yes |  |
| `volumeByCustomerType.consumerToBusinessPercentage` | integer (int32) | Yes |  |
| `cardVolumeDistribution` | object |  |  |
| `cardVolumeDistribution.ecommercePercentage` | integer (int32) | Yes |  |
| `cardVolumeDistribution.cardPresentPercentage` | integer (int32) | Yes |  |
| `cardVolumeDistribution.mailOrPhonePercentage` | integer (int32) | Yes |  |
| `cardVolumeDistribution.debtRepaymentPercentage` | integer (int32) | Yes |  |
| `fulfillment` | object |  |  |
| `fulfillment.hasPhysicalGoods` | boolean | Yes |  |
| `fulfillment.isShippingProduct` | boolean | Yes |  |
| `fulfillment.shipmentDurationDays` | integer (int64) | Yes |  |
| `fulfillment.returnPolicy` | string | Yes | Values: `none`, `exchangeOnly`, `withinThirtyDays`, `other`. |
| `geographicReach` | string |  | Values: `international-only`, `us-and-international`, `us-only`. |
| `businessPresence` | string |  | Values: `commercial-office`, `home-based`, `mixed-presence`, `mobile-business`, `online-only`, `retail-storefront`. |
| `pendingLitigation` | string |  | Values: `bankruptcy-or-insolvency`, `consumer-protection-or-class-action`, `data-breach-or-privacy`, `employment-or-workplace-disputes`, `fraud-or-financial-crime`, `government-enforcement-or-investigation`, `intellectual-property`, `none`, `other`, `personal-injury-or-medical`. |
| `volumeShareByCustomerType` | object |  |  |
| `volumeShareByCustomerType.business` | integer (int32) |  |  |
| `volumeShareByCustomerType.consumer` | integer (int32) |  |  |
| `volumeShareByCustomerType.p2p` | integer (int32) |  |  |
| `collectFunds` | object |  |  |
| `collectFunds.ach` | object |  |  |
| `collectFunds.cardPayments` | object |  |  |
| `moneyTransfer` | object |  |  |
| `moneyTransfer.pullFromCard` | object |  |  |
| `moneyTransfer.pushToCard` | object |  |  |
| `sendFunds` | object |  |  |
| `sendFunds.ach` | object |  |  |
| `sendFunds.pushToCard` | object |  |  |
| `sendFunds.rtp` | object |  |  |
| `sendFunds.instantBank` | object |  |  |
| `sendFunds.wire` | object |  |  |

## Errors

| Status | Meaning |
| --- | --- |
| 400 | The server could not understand the request due to invalid syntax. |
| 401 | The request contained missing or expired authentication. |
| 403 | The user is not authorized to make the request. |
| 404 | The requested resource was not found. |
| 409 | The request conflicted with the current state of the target resource. |
| 422 | The request was well-formed, but the contents failed validation. Check the request for missing or invalid fields. |
| 429 | Request was refused due to rate limiting. |
| 500 | The request failed due to an unexpected error. |
| 504 | The request failed because a downstream service failed to respond. |

## Examples

### cURL

```bash
curl -X POST "https://api.moov.io/accounts/{accountID}/underwriting" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"
```

### Typescript (SDK)

```typescript
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.underwriting.save({
    accountID: "ffe3ca1b-de3f-4305-8d8c-cfd28f279cad",
    upsertUnderwriting: {},
  });

  console.log(result);
}

run();
```

Full reference with SDK examples in every language: https://docs.moov.io/api/moov-accounts/underwriting/post/
